
/* google fonts */
@import url('https://fonts.googleapis.com/css2?family=Radio+Canada:ital,wght@0,300..700;1,300..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Pavanam&display=swap');


.radio-canada-regular {
  font-family: "Radio Canada", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-variation-settings: "wdth" 100;
}

.pavanam-regular {
    font-family: "Pavanam", sans-serif;
    font-weight: 400;
    font-style: normal;
  }
  
/* -------------------------------------------  */

  /*loader style*/
#loader {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999; 
}

#content {
  opacity: 0; 
  transition: opacity 0.5s ease; 
}
/* -------------------------------------------  */

/* back to top button */
#back-to-top {
  display: none; /* Hidden by default */
}

#back-to-top.show {
  display: block;
  opacity: 1;
}
/* -------------------------------------------  */

/*  dropdown menu Animation for header*/

@keyframes dropdown-fade {
  0% {
    opacity: 0;
    transform: translateY(-10px);
    filter: blur(8px);
  }
  50% {
    opacity: 0.5;
    transform: translateY(5px);
    filter: blur(4px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
    filter: blur(0);
  }
}

@keyframes dropdown-bounce {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0);
  }
}

.dropdown-menu {
  display: none;
  opacity: 0;
  animation: dropdown-fade 0.3s ease-out, dropdown-bounce 0.3s ease-out;
}

.dropdown-menu.show {
  display: block;
  opacity: 1;
  animation: dropdown-fade 0.3s ease-out, dropdown-bounce 0.3s ease-out;
}

/* -------------------------------------------  */


/* marquee animation for agency home page */
.marquee-container {
  position: absolute;
 
  width: 100%;
 
  overflow: hidden;
 

}

.marquee-content {


  animation: marquee 80s linear infinite;
  
}


@keyframes marquee {
  0% {
      transform: translateX(0);
     
  }

  100% {
      transform: translateX(-100%);
      
  }
}

/*---------------------------------------------*/

/* animated background */
.animated-background {
  background-size: 400%;

  -webkit-animation: animation 5s ease infinite;
  -moz-animation: animation 5s ease infinite;
  animation: animation 5s ease infinite;
}

@keyframes animation {
  0%,
  100% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }
}

/*---------------------------------------------*/